import requests, xmltodict, json, sys

ico = str(sys.argv[1:])[2:-2]
print(f'https://wwwinfo.mfcr.cz/cgi-bin/ares/darv_std.cgi?ico={ico}&xml=1')
ares_url = f'https://wwwinfo.mfcr.cz/cgi-bin/ares/darv_std.cgi?ico={ico}&xml=1'
response = requests.get(ares_url)
response.encoding = 'utf-8'

ares_data = response.text
if ares_data:
    a=xmltodict.parse(ares_data)
    a1=json.dumps(a.get("are:Ares_odpovedi").get('are:Odpoved').get("are:Zaznam").
                     get('are:Obchodni_firma'),indent=2, sort_keys=True).encode('utf-8').decode("unicode_escape")[1:-1]
    a2=json.dumps(a.get("are:Ares_odpovedi").get('are:Odpoved').get("are:Zaznam").
                     get("are:Identifikace").get("are:Adresa_ARES").get("dtt:Nazev_ulice"),
                     indent=2, sort_keys=True).encode('utf-8').decode("unicode_escape")[1:-1]
    a3=json.dumps(a.get("are:Ares_odpovedi").get('are:Odpoved').get("are:Zaznam").
                     get("are:Identifikace").get("are:Adresa_ARES").get("dtt:Cislo_orientacni"),
                     indent=2, sort_keys=True)[1:-1]
    a4=json.dumps(a.get("are:Ares_odpovedi").get('are:Odpoved').get("are:Zaznam").
                     get("are:Identifikace").get("are:Adresa_ARES").get("dtt:Nazev_mestske_casti"),
                     indent=2, sort_keys=True).encode('utf-8').decode("unicode_escape")[1:-1]
    a5=json.dumps(a.get("are:Ares_odpovedi").get('are:Odpoved').get("are:Zaznam").
                     get("are:Identifikace").get("are:Adresa_ARES").get("dtt:PSC"),
                     indent=2, sort_keys=True)[1:-1]
    print(f'{response}\n<0CZ{ico}\n<1{a1}\n<2{a4}\n<3{a2} {a3}\n<4{a5}')
    
    with open('i:\\temp\\adresa.txt', 'w') as file:
        file.write(f'{response}\n<0CZ{ico}\n<1{a1}\n<2{a4}\n<3{a2} {a3}\n<4{a5}')
    
    
else:
    print('Nebyla vrácena žádná data.')

    
